Get Page Audit
curl --request GET \
--url https://api.scrunchai.com/v1/{brand_id}/page-audits/{page_audit_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.scrunchai.com/v1/{brand_id}/page-audits/{page_audit_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scrunchai.com/v1/{brand_id}/page-audits/{page_audit_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"url": "<string>",
"result": {
"access_controls_score": 123,
"content_delivery_score": 123,
"content_quality_score": 123,
"access_controls_succeeded": 123,
"content_delivery_succeeded": 123,
"content_quality_succeeded": 123,
"access_controls_failed": 123,
"content_delivery_failed": 123,
"content_quality_failed": 123,
"access_controls_total": 123,
"content_delivery_total": 123,
"content_quality_total": 123,
"version": 1,
"checks": [
{
"check_score": 123,
"check_description": "<string>",
"detail": "<string>",
"help_text": "<string>"
}
],
"visitor_preview_image_url": "<string>",
"ai_preview_markdown": "<string>",
"title": "<string>",
"description": "<string>",
"final_url": "<string>",
"assistant_statuses": [
{
"assistant": {
"name": "<string>",
"does_training": true,
"does_retrieval": true,
"does_search_indexing": true,
"can_cite": true,
"search_agents": [],
"retrieval_agents": [],
"training_agents": []
},
"sample_title": "<string>",
"sample_description": "<string>",
"sample_final_url": "<string>",
"can_retrieve": true,
"retrieval_response_time": 123,
"retrieval_block_reason": "<string>"
}
],
"screenshot_vs_page": {
"screenshot_is_representative": true,
"difference_explanation": "<string>",
"missing_content_from_markdown": [
"<string>"
],
"importance_of_missing_content": "critical"
},
"intent_vs_page": {
"markdown_respresents_intent": true,
"intent_of_page": "<string>",
"difference_explanation": "<string>"
},
"key_question_answers": [
{
"question": "<string>",
"answer": "<string>",
"rationale": "<string>"
}
]
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Site Audit API
Get Page Audit
Get a specific page audit by ID
GET
/
{brand_id}
/
page-audits
/
{page_audit_id}
Get Page Audit
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Was this page helpful?
⌘I